Loading...
Searching...
No Matches
reason_code.h File Reference
`#include <iostream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | mqtt

## Enumerations

enum

mqtt::ReasonCode {
mqtt::SUCCESS = 0 , mqtt::NORMAL_DISCONNECTION = 0 , mqtt::GRANTED_QOS_0 = 0 , mqtt::GRANTED_QOS_1 = 1 ,
mqtt::GRANTED_QOS_2 = 2 , mqtt::DISCONNECT_WITH_WILL_MESSAGE = 4 , mqtt::NO_MATCHING_SUBSCRIBERS = 16 , mqtt::NO_SUBSCRIPTION_FOUND = 17 ,
mqtt::CONTINUE_AUTHENTICATION = 24 , mqtt::RE_AUTHENTICATE = 25 , mqtt::UNSPECIFIED_ERROR = 128 , mqtt::MALFORMED_PACKET = 129 ,
mqtt::PROTOCOL_ERROR = 130 , mqtt::IMPLEMENTATION_SPECIFIC_ERROR = 131 , mqtt::UNSUPPORTED_PROTOCOL_VERSION = 132 , mqtt::CLIENT_IDENTIFIER_NOT_VALID = 133 ,
mqtt::BAD_USER_NAME_OR_PASSWORD = 134 , mqtt::NOT_AUTHORIZED = 135 , mqtt::SERVER_UNAVAILABLE = 136 , mqtt::SERVER_BUSY = 137 ,
mqtt::BANNED = 138 , mqtt::SERVER_SHUTTING_DOWN = 139 , mqtt::BAD_AUTHENTICATION_METHOD = 140 , mqtt::KEEP_ALIVE_TIMEOUT = 141 ,
mqtt::SESSION_TAKEN_OVER = 142 , mqtt::TOPIC_FILTER_INVALID = 143 , mqtt::TOPIC_NAME_INVALID = 144 , mqtt::PACKET_IDENTIFIER_IN_USE = 145 ,
mqtt::PACKET_IDENTIFIER_NOT_FOUND = 146 , mqtt::RECEIVE_MAXIMUM_EXCEEDED = 147 , mqtt::TOPIC_ALIAS_INVALID = 148 , mqtt::PACKET_TOO_LARGE = 149 ,
mqtt::MESSAGE_RATE_TOO_HIGH = 150 , mqtt::QUOTA_EXCEEDED = 151 , mqtt::ADMINISTRATIVE_ACTION = 152 , mqtt::PAYLOAD_FORMAT_INVALID = 153 ,
mqtt::RETAIN_NOT_SUPPORTED = 154 , mqtt::QOS_NOT_SUPPORTED = 155 , mqtt::USE_ANOTHER_SERVER = 156 , mqtt::SERVER_MOVED = 157 ,
mqtt::SHARED_SUBSCRIPTIONS_NOT_SUPPORTED = 158 , mqtt::CONNECTION_RATE_EXCEEDED = 159 , mqtt::MAXIMUM_CONNECT_TIME = 160 , mqtt::SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED = 161 ,
mqtt::WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED = 162 , mqtt::MQTTPP_V3_CODE = 0
}

## Functions

std::string | mqtt::to_string (ReasonCode reasonCode)
std::ostream & | mqtt::operator<< (std::ostream &os, ReasonCode reasonCode)

## Detailed Description

MQTT v5 reason codes for the Paho MQTT C++ library.

Date
  July 5, 2024

Author
  Frank Pagliughi